# Get Contact List

## Get Contact List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/contact?action=getContactList`

Get Contact List will respond with a list of contacts based on the filter parameters

#### Path Parameters

| Name    | Type    | Description                                                                                                         |
| ------- | ------- | ------------------------------------------------------------------------------------------------------------------- |
| perPage | integer | The number of events to get in a single api call                                                                    |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start = 0 will start from the first result.) |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Additional [Filter](/getting-started/interpreting-the-response/filtering.md) Properties

| Property         | Description                    | Type                                                                |
| ---------------- | ------------------------------ | ------------------------------------------------------------------- |
| fromModifiedDate | Filter by Modified Date        | [iVvy Timestamp Format](/development-reference/timestamp-format.md) |
| toModifiedDate   | Filter by Modified Date        | [iVvy Timestamp Format](/development-reference/timestamp-format.md) |
| externalId       | Filter by external unique id   | Unique external Id in string                                        |
| venueId          | Filter by specific Venue       | integer                                                             |
| venueGroupId     | Filter by specific Venue Group | integer                                                             |
| companyId        | Filter by specific Company Id  | integer                                                             |

## Returns

| Property           | Description                                                                                                      |
| ------------------ | ---------------------------------------------------------------------------------------------------------------- |
| id                 | The unique identifier for the contact                                                                            |
| firstName          | The contact’s first name                                                                                         |
| lastName           | The contact’s last name                                                                                          |
| email              | The contact’s email address                                                                                      |
| phone              | The contact’s phone number                                                                                       |
| privacyConsentData | The object of [Privacy Consent](/contact/get-contact.md#privacy-consent-data) field objects of the contact.      |
| customFields       | The custom field information for the contact. This is an array of fields, each an object with the [keys](#keys). |
| groups             | The subscription group information for the contact.                                                              |
| companies          | This will an array company ids to which the contact belongs.                                                     |
| companiesData      | This will an array company containing id and businessName for each company to which the contact belongs.         |
| externalId         | This will be external id of the contact                                                                          |
| modifiedDate       | The modified date of the contact                                                                                 |
| isAnonymised       | Whether or not contact data is annonymised                                                                       |

## keys

| fieldId     |
| ----------- |
| displayName |
| value       |

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the events the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/contact/get-contact-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
